Skip to main content
GET
Get a webhook delivery

Authorizations

Authorization
string
header
required

Monid API key

Scopes

webhooks:read

Path Parameters

endpointId
string
required

Id of the webhook endpoint.

Minimum string length: 1
Example:

"01JC9Q4MZ8T3R6P2N1K5V7W9XY"

eventId
string
required

The event id (webhook-id header).

Minimum string length: 1

Response

The delivery and its attempts

eventId
string
required

Same as the webhook-id header and the body id.

eventType
string
required
eventTimestamp
string
required
status
enum<string>
required
Available options:
PENDING,
DELIVERED,
FAILED,
STOPPED
attemptCount
integer
required
requestBody
string
required

The exact JSON body that was sent.

attempts
object[]
required
lastResponseStatusCode
integer
lastFailureReason
enum<string>
Available options:
TIMEOUT,
CONNECTION_FAILED,
TLS_ERROR,
DNS_FAILED,
URL_NOT_ALLOWED
lastAttemptAt
string
nextAttemptAt
string
maxAttempts
integer

Attempts this delivery may make in total (absent on older deliveries).

Example:

10

retryDelaysMs
integer[]

Waits after attempt 1, 2, … in milliseconds (±jitter; a longer Retry-After wins).

Example: